#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

red = Create_String(String, "red", (255, 0, 0))
red.Add_Sequence("1010""0000")

blue = Create_String(String, "blue", (120, 120, 255))
blue.Add_Sequence("0000""1010")

red = Create_Component(Light_Control, red)
blue = Create_Component(Light_Control, blue)
one = Create_Component(Stimulator_Simple, ST_ONE)

Create_Component(And_Gate)
Create_Component(And_Gate)
Create_Component(And_Gate)
Gap()
Create_Component(D_Flip_Flop)
Create_Component(Not_Gate)
Create_Component(D_Flip_Flop)
Create_Component(Not_Gate)
Create_Component(D_Flip_Flop)
Create_Component(Not_Gate)

Meta_Data(text = "This and That",
    image = "tree1",
    desc = "Light the Christmas tree, arranging the lighting so that "
        "the red lights flash on and off twice, then "
        "the blue lights flash on and off twice.\n\n"
        "Hint: You'll need to make a sequence generator with "
        "three Delay components. The third Delay component should be "
        "used to alternately disable the red and blue lights. Think "
        "carefully about how to generate the 'ce' input for the third "
        "Delay component!",
    dis_inputs = True,
    )

