#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

(santa, merry, christmas) = Gen_SMC(Create_String)

santa.Add_Sequence("0111")
merry.Add_Sequence("0011")
christmas.Add_Sequence("0001")

Create_Component(Light_Control, santa)
Create_Component(Light_Control, merry)
Create_Component(Light_Control, christmas)

power = Create_Component(Stimulator_Simple, ST_ONE)

d1 = Create_Component(D_Flip_Flop)
d2 = Create_Component(D_Flip_Flop)
n1 = Create_Component(Not_Gate)
n2 = Create_Component(Not_Gate)
nots = [d1, d2]
Gap()
Create_Component(Or_Gate)
Create_Component(And_Gate)



Meta_Data(text = "The Only Way Is Up",
    desc = "There are three lights on this level. You must arrange the "
        "components so that all three begin in the 'Off' state, and then "
        "switch on in the following order: 'Santa', "
        "'Merry' and 'Christmas'.\n\n"
        "Hint: This level requires you to arrange the two 'Delay' components "
        "into a 'sequence generator', as on the previous level. Having done "
        "that, you should use the Or and And components to control the "
        "lights. (One of the lights can be directly connected to the output "
        "of the sequence generator.)",
    dis_inputs = True)

